Author Topic: Rolling Offset  (Read 7997 times)

0 Members and 2 Guests are viewing this topic.

bayoubuoy

  • Guest
Re: Rolling Offset
« Reply #15 on: February 19, 2011, 01:49:16 PM »
I'm pushing 63 so age is not a factor but the gray matter leak is. :cry:
Thanks  CAB, I'll give it a test run.
I'm older than you are. I ain't gonna say by how much.

David Bethel

  • Swamp Rat
  • Posts: 656
Re: Rolling Offset
« Reply #16 on: February 20, 2011, 08:30:14 AM »
This is where a true 3D modeler put autocad to shame.  They can handle piping bends and offsets with ease.

If you can handle a Z axis delta and meshes in lieu of solids, then maybe this can help you.  ( back from my days of bending things )





http://www.davidbethel.com/swamp/tubeoffs.lsp

There is also a 3dpoly center line included for snaps

Good luck.  -David
« Last Edit: February 20, 2011, 03:39:10 PM by David Bethel »
R12 Dos - A2K

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Rolling Offset
« Reply #17 on: February 20, 2011, 02:07:53 PM »
David,
I guess your server is off line at this time?

I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

David Bethel

  • Swamp Rat
  • Posts: 656
Re: Rolling Offset
« Reply #18 on: February 20, 2011, 03:40:43 PM »
CAB,


Operator error on my part. it should work now.

I was looking for a FAQ on uploading things here ( to the lilly pond if I remember ) but couldn't find. it.  -David
R12 Dos - A2K

fixo

  • Guest
Re: Rolling Offset
« Reply #19 on: February 20, 2011, 03:41:18 PM »
David,
I guess your server is off line at this time?


Alan,
I've got it right now it's available
Try again

Oleg


IRONNIE

  • Guest
Re: Rolling Offset
« Reply #20 on: July 17, 2012, 09:29:10 AM »
Code: [Select]
(defun C:ROLL ()
  (setq RUN (UDIST NIL "\n   Run" RUN))
  (setq OFFSET (UDIST NIL "Offset" OFFSET))
  (setq RISE (UDIST NIL "  Rise" RISE))
  (setq `C` (sqrt (+ (expt RUN 2) (expt OFFSET 2))))
  (setq TRAVEL (sqrt (+ (expt RISE 2) (expt `C` 2))))
  (princ (strcat "Travel <" (rtos TRAVEL) ">\n\n"))
  (list RUN ROLL RISE TRAVEL)
)

(defun UDIST (SW MSG ANS / SW MSG ANS)
  (if (not ANS)
    (setq ANS 0)
  )
  (setq OANS ANS)
  (setq MSG (strcat MSG " <" (rtos ANS) ">: "))
  (if SW
    (setq ANS (getdist SW MSG))
    (setq ANS (getdist MSG))
  ) ;if
  (if (not ANS)
    (setq ANS OANS)
  )
  ANS
)
« Last Edit: July 17, 2012, 09:52:23 AM by CAB »

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Rolling Offset
« Reply #21 on: July 17, 2012, 09:53:29 AM »
Welcome to the Swamp.
I added Code tags to your post.
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.